LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XEnhancedMouseClickBroadcaster Interface Referencepublished

provides methods to add and remove EnhancedMouseClickHandler More...

`import"XEnhancedMouseClickBroadcaster.idl";`

Inheritance diagram for XEnhancedMouseClickBroadcaster:

## Public Member Functions
void | addEnhancedMouseClickHandler ([in] com::sun::star::awt::XEnhancedMouseClickHandler aListener)
| allows a component supporting the XEnhancedMouseClickHandler interface to register as listener. More...
void | removeEnhancedMouseClickHandler ([in] com::sun::star::awt::XEnhancedMouseClickHandler aListener)
| removes a previously registered listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to add and remove EnhancedMouseClickHandler

Since
  OOo 2.0

## Member Function Documentation

## ◆ addEnhancedMouseClickHandler()

void addEnhancedMouseClickHandler | ( | [in] com::sun::star::awt::XEnhancedMouseClickHandler | aListener | ) |

allows a component supporting the XEnhancedMouseClickHandler interface to register as listener.

The component will be notified with a EnhancedMouseEvent every time the mouse is clicked in the spreadsheet

Parameters

  aListener | the component that is to be added as listener

See also
  XEnhancedMouseClickHandler
  EnhancedMouseEvent

The interfaces in the EnhancedMouseEvent can be XCell or XShape

See also
  XShape
  XCell

## ◆ removeEnhancedMouseClickHandler()

void removeEnhancedMouseClickHandler | ( | [in] com::sun::star::awt::XEnhancedMouseClickHandler | aListener | ) |

removes a previously registered listener.

Parameters

  aListener | the component that is to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XEnhancedMouseClickBroadcaster.idl